package com.app.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 功能描述：
 * todo 配置文件增加加密
 *
 * @Auther: 梁展鹏 fsliangzp@163.com
 * @Date: 2018/8/16 15:56
 */
@Data
@Component
public class WXMPConfig {

    @Value("${wx.mp.app-id}")
    private String appId;

    @Value("${wx.mp.app-secret}")
    private String appSecret;

}
