package com.app.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：上传文件返回对象
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/19 09:49
 */
@ApiModel("上传文件返回Dto")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Accessors(chain = true)
public class FileDto {

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty("请求路径")
    private String path;

}
