package com.app.dto.basics.operation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("保存/更新[课程]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class CourseDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("课程名称")
    private String name;

    @ApiModelProperty("缩略图")
    private String thumbnail;

    @ApiModelProperty("横幅")
    private String banner;

    @ApiModelProperty("横幅")
    private String type;

    @ApiModelProperty("课程价格")
    private Double price;

    @ApiModelProperty("课程介绍")
    private String introduceUrl;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("机构id")
    private String organId;


}
