package com.app.dto.basics.operation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("保存or更新[新闻资讯]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class NewsDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("图片")
    private String images;

    @ApiModelProperty("发布机构/人")
    private String author;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("机构id")
    private String organId;


}
