package com.app.dto.basics.search;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@ApiModel("查询[学校]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SearchSchoolDto extends SearchPageDto {

    @ApiModelProperty("是否删除")
    private Boolean isDel;

    @ApiModelProperty("学校名称")
    private String name;

    @ApiModelProperty("年级")
    private String gradeYear;

    @ApiModelProperty("省级名称")
    private String province;

    @ApiModelProperty("城市名称")
    private String city;

    @ApiModelProperty("行政区名称")
    private String area;

    @ApiModelProperty("机构ids")
    private List<String> organIds;
}
