package com.app.dto.order.operation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("导出订单Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ExportOrderDto {

    @ApiModelProperty("学年")
    private Integer schoolYear;

    @ApiModelProperty("学期")
    private Integer semester;

    @ApiModelProperty("学校标识")
    private String schoolId;

}
