package com.app.dto.platform;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("查询[部门]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SearchDeptDto extends SearchPageDto {

    @ApiModelProperty("是否删除")
    private Boolean isDel;

    @ApiModelProperty("部门名称")
    private String name;

    @ApiModelProperty("父级id")
    private String parentId;

}
