package com.app.dto.platform;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;

/**
 * 搜索部门实体dto
 *
 */
@ApiModel("搜索部门实体dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SearchDictEntryDto {
    @ApiModelProperty("字典标识")
    @NotEmpty
    private String dictId;

    @ApiModelProperty("是否删除")
    private Boolean isDel;
}
