package com.app.dto.platform;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 搜索岗位dto
 *
 */
@ApiModel("搜索岗位dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SearchJobDto extends SearchPageDto {
    @ApiModelProperty("岗位名称")
    private String name;

    @ApiModelProperty("是否删除")
    private Boolean isDel;
}
