package com.app.mapper.basics;

import com.app.entity.basics.OpenCourse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 功能描述：开课
 *
 * @author cyndi905
 */
@Mapper
@Repository
public interface OpenCourseMapper extends BaseMapper<OpenCourse> {

    /**
     * 功能描述：查询[我的选课单]列表
     * 这个场景不需要分页
     *
     * @param accountId
     * @return
     */
    List<OpenCourse> myShoppingCar(String accountId, String accountChildId);

}
