package com.app.mapper.organ;

import com.app.dto.organ.SearchOrganDto;
import com.app.entity.organ.Organ;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.lettuce.core.dynamic.annotation.Param;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface OrganMapper extends BaseMapper<Organ> {

    IPage<Organ> getList(Page<?> page, @Param("dto") SearchOrganDto searchOrganDto);

}
