package com.app.controller.platform.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 */
@ApiModel("管理后台-图片验证码")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ImgCodeDto {

    @ApiModelProperty("图片验证码Base64格式")
    private String base64Img;

    @ApiModelProperty("唯一标识")
    private String uuid;

}
