package com.app.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("客户端图片返回Dto")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Accessors(chain = true)
public class CommonImgDto {

    @ApiModelProperty("[欢迎页]logo")
    private String welcomeLogo;

    @ApiModelProperty("[支付协议]")
    private String payAgreement;

    @ApiModelProperty("[关于我们]logo")
    private String aboutLogo;

}
