package com.app.dto.account.operation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

@ApiModel("Web登录Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WebLoginDto {

    @ApiModelProperty("账号")
    @NotEmpty
    private String username;

    @ApiModelProperty("密码")
    @NotEmpty
    private String password;

}
