package com.app.dto.basics;

import com.app.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("查询[学校]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ResponseTeacherDto  extends BaseEntity {

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("教师简介")
    private String context;

    @ApiModelProperty("教师头像")
    private String avatarUrl;

    @ApiModelProperty("标签")
    private String tag;

    @ApiModelProperty("机构id")
    private String organId;

    @ApiModelProperty("机构名称")
    private String organName;

}
