package com.app.dto.basics.search;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@ApiModel("查询[新闻资讯]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SearchNewsDto extends SearchPageDto {

    @ApiModelProperty("是否删除")
    private Boolean isDel;

    @ApiModelProperty("新闻标题")
    private String title;

    @ApiModelProperty("机构ids")
    private List<String> organIds;

}
