package com.app.dto.order.operation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel("审核退课Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AuditRefundDto {

    @ApiModelProperty("申请退课标识")
    @NotEmpty
    private String openCourseRefundId;

    @ApiModelProperty("订单退款审核状态")
    @NotNull
    private Integer state;

    @ApiModelProperty("审核备注")
    @NotEmpty
    private String remarks;

    @ApiModelProperty("微信退课单号")
    private String refundId;

}
