package com.app.dto.platform;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 搜索在线用户dto
 *
 */
@ApiModel("搜索在线用户dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SearchOnlineDto extends SearchPageDto {
    @ApiModelProperty("昵称")
    private String nickname;
}
