package com.app.mapper.basics;

import com.app.dto.basics.operation.ResponseCommentDto;
import com.app.dto.basics.search.SearchCommentDto;
import com.app.entity.basics.OpenCourseComment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface OpenCourseCommentMapper extends BaseMapper<OpenCourseComment> {

    IPage<ResponseCommentDto> getList(Page<?> page, @Param("dto") SearchCommentDto searchCommentDto);
}
