package com.app.mapper.basics;

import com.app.dto.basics.ResponseTeacherDto;
import com.app.dto.basics.search.SearchTeacherDto;
import com.app.entity.basics.Teacher;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface TeacherMapper extends BaseMapper<Teacher> {

    IPage<ResponseTeacherDto> getList(@Param("dto") SearchTeacherDto searchSchoolDto, Page page);

}
