package com.app.constant;

import com.app.Application;
import com.app.service.basics.YearSemesterService;
import com.app.util.JacksonUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@Slf4j
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes = Application.class)// 指定spring-boot的启动类
public class SchoolConstantTest {

    @Autowired
    private YearSemesterService schoolYearSemesterService;

    @Test
    public void testGetSchoolYearAndSemester() {
        String organId = SystemConstant.organId;
        log.info(JacksonUtil.toJSON(schoolYearSemesterService.find(organId)));
    }

}
