import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询[地址名称]底下的地址信息
   * @param name
   * @returns {Q.Promise<any> | Q.Promise<T | never> | PromiseLike<T | never> | Promise<T | never> | *}
   */
  addressChild (name) {
    return HttpKit.get(`/common/address/${name}/child`, {}).then(
      res => res.data
    )
  }
}
