import Vue from 'vue'
import Cookies from 'js-cookie'
import i18n from '../lang' // internationalization
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import '../styles/element-variables.scss'

Vue.use(ElementUI, {
  size: Cookies.get('size') || 'mini', // set element-ui default size // medium / small / mini
  i18n: (key, value) => i18n.t(key, value),
  zIndex: 3000
})
